function formatstruct = scarpdater_makeformatstruct(Pt_codes,Descriptions,EastingCode,NorthingCode,ElevationCode)

for(i=1:length(Pt_codes))
  formatstruct.Pt_code(i) = Pt_codes(i);
  formatstruct.description{i} = Descriptions{i};
end

formatstruct.EastingCode = EastingCode;
formatstruct.NorthingCode = NorthingCode;
formatstruct.ElevationCode = ElevationCode;

